<?php
$template = <<<END
<!--{def item/title}-->
<!-- shop11_label: 見出し -->
<section class="shop11_label<!--{def item/class}--> {val item/class}<!--{/def}-->">
<h2 class="c box1">{val item/title}<span class="small" style="display:block;opacity: 0.5;">{val item/subtitle}</span></h2>
</section>
<!--{/def}-->
END;

$shop11_label = array(
		"title" => "shop11 見出し",
		"name" => "shop11_label",			// 名称、重複すると正しく動作しません
		"template" => $template,		// ブロックのテンプレート
		"input" => array(
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=shop11_label",
			"class" => "notice",
		),
			"title" => array(
				"title" => "タイトル",
				"type" => "text",
			),
			"subtitle" => array(
				"title" => "サブタイトル",
				"type" => "text",
			),
			"class" => array(
				"title" => "背景",
				"type" => "select",
				"list" => array(
					"" => "なし",
					"bg1" => "あり",
				),
			),
		),
	);

block_add($shop11_label);
